Subject: Re: bug#44550: 28.0.50; proposal for tabulated-list-mode to provide narrowing incremental search

From: Juri Linkov <[email-masked]>
Date: Mon, 16 Nov 2020 11:05:10 +0200

>> Isn't this like how incremental filtering works in 'list-packages'?
>>
>>   / /             package-menu-clear-filter
>>   / a             package-menu-filter-by-archive
>>   / k             package-menu-filter-by-keyword
>>   / m             package-menu-filter-marked
>>   / n             package-menu-filter-by-name
>>   / s             package-menu-filter-by-status
>>   / u             package-menu-filter-upgradable
>>   / v             package-menu-filter-by-version
>
> I think so.  But of course the above commands unfortunately don't show
> matches interactively.  It would be useful if they did.

Incremental filtering while user is typing might cause too sluggish
response, so I'm fine with the current non-incremental filtering.

BTW, what I still miss in package filtering is a key to match
package descriptions (in addition to package names).  For example,
Ubuntu package manager allows filtering by these fields:
"Name", "Description and Name".